#include "xdynentityclient.h"

XDynEntityClient::XDynEntityClient()
    : XAsset()
    , mPhysObjId(0)
    , mFlags(0)
    , mLightingHandle(0)
    , mHealth(0)
{
    
}

XDynEntityClient::~XDynEntityClient()
{
    
}

void XDynEntityClient::ParseData(QDataStream *aStream)
{
    if (GetPtr())
    {
        *aStream
            >> mPhysObjId
            >> mFlags
            >> mLightingHandle
            >> mHealth;
    }
}

void XDynEntityClient::Clear()
{
    mPhysObjId = 0;
    mFlags = 0;
    mLightingHandle = 0;
    mHealth = 0;
}
